Deposits
To receive USD in your Bitso account via wire transfer, you must be an onboarded business client.
See the article Wiring Flows for a high-level view of the wire deposit flow, which enables you to wire USD from a US-based bank account in exchange for USD stablecoins at a 1:1 ratio. For details on customer onboarding (Step 1), see the section, Customer Onboarding.
The article presently in view drills into the following steps of this flow:
- Step 2: Submit a deposit intent
- Step 3: Perform the wire transfer
FeesAny wire transfer into your Bitso account causes a fixed and variable fee regardless of the amount deposited.
The service subtracts the fee amount from the amount specified in your deposit intent. As a result, the amount you receive is smaller than the one set.
For further details on fees, transactions' settling time, terms and conditions, and limitations, refer to the section, Transferring U.S. Dollars Via Wire.
Submitting a Deposit Intent
Before you can wire USD funds into your USD stablecoin balance, you need to retrieve the deposit instructions from Bitso’s service by generating a deposit intent.
The deposit instructions include the following:
- The deposit message: Specifies a unique identifier (starting with BVI7) your sender must include in the wire memo or message. The deposit message is unique per transfer.
- The recipient bank data: Defines the account to which your sender should forward the deposit. It is an account of our licensed partner, who provides the gateway to transition from fiat to cryptocurrency.
To generate a deposit intent, make an HTTP call to the following endpoint using the appropriate body parameter:
POST https://api-stage.bitso.com/v3/payments/usd/bridge/deposit-intents
Body Parameter
amount: The amount to be deposited in USD. Consider that fees are deducted from this amount. In the response sample below, the amount to deposit is 100.00 USD, but the amount to receive is 84.90 USD stablecoins. Specify this figure as a string.
A successful deposit-intent call returns the following response object:
{
"success": true,
"payload": {
"id": "c48d5174-3b61-4a4f-adf2-9efd3be9382f",
"status": "pending",
"amount": 100.0,
"fee_amount": 15.1,
"account_owner_name": "Bridge Ventures Inc",
"imad": null,
"omad": null,
"created_at": "2023-12-11T22:09:47.673+00:00",
"bank": {
"name": "Bank of Nowhere",
"address": "1800 North Pole St., Orlando, FL 32801",
"routing_number": "123456789",
"account_number": "11223344556677",
"beneficiary_name": "Bridge Ventures Inc"
},
"deposit_message": "BVI7D94104100C9EDC69",
"last_4": null
}
}Some of the variables returned in the response body represent the following:
account_owner_name: The name of the entity who owns the bank account to which your sender must wire the USD funds.bank: The details of the bank account to which your sender must wire the funds in USD.deposit_message: The identifier your sender must include in the wire message or wire memo. Failure to properly document this identifier in the wire message or memo might result in deposit rejection.fee_amount: The cost of the transaction. The service computes it upon the amount specified in theamountbody parameter of the deposit intent call.last_4: The last four digits of your registered bank account, if there is one.status: The deposit’s state. A deposit can be in one of three possible states:- PENDING: The service created the intended transaction and gave it an identifying deposit message. It is awaiting the arrival of the funds.
- COMPLETE: The service completed the transaction successfully, and the funds are in your USD stablecoins balance.
- FAILED: The system could not complete the deposit. A deposit fails when the funds are not wired but other reasons are also possible. Contact our Customer Support desk at [email protected] to ask for help.
🚀 You're all set to share the deposit details with your sender.
Wiring the Funds
Let your sender know about the following requirement.
Wire information must match deposit intent.When wiring the funds, ensure these two items are true:
- The provided deposit message is included in the wire memo of the transaction.
- The funding amount is equal to the one set in the deposit intent.
Failure to do so will prevent our licensed partner’s matching system from properly crediting you the funds and completing the transfer.
It is also vital that the bank account to which your sender wires the funds is precisely the one provided in the deposit-intent response. Bitso cannot help you recuperate funds wired to an incorrect routing or account number.
Be aware of the following:
- The recipient of your sender’s transfer is a business bank account from which Bitso’s licensed partner transfers the funds.
- ACH transfers are not supported; Bitso supports only domestic wire transfers.
- Transactions typically settle within 24 business hours from the time the sent wire becomes effective.
- The sending bank can charge additional fees to the ones shown in your deposit instructions.
- Bitso enforces limits on the amounts you can receive monthly and per transaction. Verify your limits on the Profile section of your Bitso application, and contact your account manager at [email protected] if you need to increase your limits to fit in your payments.
Updated 8 months ago
